Summary:     A Software Watchdog
Name:        watchdog
Version:     1.0
Release:     7.pp
License:     GPL
Group:       System Environment/Daemons
Source0:     watchdog-1.0.tar.gz
SOurce1:     watchdog.init
URL:         http://www.pramberger.at/peter/watchdog
Buildroot:   /var/tmp/watchdog-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Provides:    watchdog.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/grep
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install /bin/ln
ExclusiveOS: linux


%description
This daemon resets every 5 minutes the kernel software
watchdog timer. Machine will reboot after 6 minutes with-
out any reset.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
gcc $CFLAGS -o watchdog watchdog.c


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 0700 watchdog $RPM_BUILD_ROOT/usr/sbin
install -m 0755 $RPM_SOURCE_DIR/watchdog.init $RPM_BUILD_ROOT/etc/rc.d/init.d/watchdog


%post
/sbin/chkconfig --add watchdog
/sbin/chkconfig watchdog on
if ! [ -c /dev/watchdog ] ; then
  echo "Creating the watchdog device..."
  /bin/mknod /dev/watchdog c 10 130
fi
if [ -f /etc/modules.conf ] ; then
  if ! /bin/grep "char-major-10-130" /etc/modules.conf ; then
    echo "alias char-major-10-130 softdog" >> /etc/modules.conf
  fi
else
  if ! /bin/grep "char-major-10-130" /etc/conf.modules ; then
    echo "alias char-major-10-130 softdog" >> /etc/conf.modules
  fi
fi
if [ ! -f /var/lock/subsys/watchdog ]; then
   /etc/rc.d/init.d/watchdog start
fi


%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig watchdog off
   /sbin/chkconfig --del watchdog
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
/etc/rc.d/init.d/*
/usr/sbin/*


%changelog
* Mon Jun 02 2003 peter.pramberger@1012surf.net
- compiled for RH73

* Wed May 07 2003 peter.pramberger@1012surf.net
- fixed bugs in init script

* Mon Jan 21 2002 peter.pramberger@1012surf.net
- watchdog will now be running in every runlevel
- fixes bug when switching to runlevel below 3

* Fri Jun 29 2001 peter.pramberger@1012surf.net
- created

